Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# MotionRequestSymbols Class Reference

The Xabsl2 symbols that are defined in "motion-request-symbols.xml". More...

`#include <MotionRequestSymbols.h>`

Inheritance diagram for MotionRequestSymbols:

[legend]
Collaboration diagram for MotionRequestSymbols:

[legend]
List of all members.

## Public Member Functions
| MotionRequestSymbols (const BehaviorControlInterfaces &interfaces)
void | registerSymbols (Xabsl2Engine &engine)
| registers the symbols at an engine
void | update ()
| updates the symbols
double | getPositionInWalkCycle ()
| gets the current positionInWalkCycle for motionInfo
Input symbols
double | getExecutedSpecialActionType ()
| Function for symbol "executed-motion-request.special-action-type".
double | getSpeedX ()
| Function for symbol "executed-motion-request.special-action-type".
double | getSpeedY ()
| Function for symbol "executed-motion-request.special-action-type".

## Detailed Description

The Xabsl2 symbols that are defined in "motion-request-symbols.xml".

Author:
  Max Risler

Definition at line 20 of file MotionRequestSymbols.h.

## Constructor & Destructor Documentation

MotionRequestSymbols::MotionRequestSymbols | ( | const BehaviorControlInterfaces & | interfaces | ) |

| Definition at line 13 of file MotionRequestSymbols.cpp.

## Member Function Documentation

void MotionRequestSymbols::registerSymbols | ( | Xabsl2Engine & | engine | ) |

| registers the symbols at an engine Definition at line 18 of file MotionRequestSymbols.cpp. References MotionInfo::executedMotionRequest, getExecutedSpecialActionType(), getPositionInWalkCycle(), getSpeedX(), getSpeedY(), getXmlString(), MotionRequest::motionType, Xabsl2Symbols::registerDecimalInputSymbol(), Xabsl2Symbols::registerEnumeratedInputSymbol(), Xabsl2Symbols::registerEnumeratedInputSymbolEnumElement(), MotionRequest::walkRequest, and WalkRequest::walkType. Referenced by GT2005BehaviorControl::registerSymbolsAndBasicBehaviors().

Here is the call graph for this function:

void MotionRequestSymbols::update | ( |  | ) |

| updates the symbols

double MotionRequestSymbols::getPositionInWalkCycle | ( |  | ) |

| gets the current positionInWalkCycle for motionInfo Definition at line 65 of file MotionRequestSymbols.cpp. References MotionInfo::positionInWalkCycle. Referenced by registerSymbols().

double MotionRequestSymbols::getExecutedSpecialActionType | ( |  | ) |

| Function for symbol "executed-motion-request.special-action-type". Definition at line 52 of file MotionRequestSymbols.cpp. References MotionInfo::executedMotionRequest, MotionRequest::specialActionRequest, and SpecialActionRequest::specialActionType. Referenced by registerSymbols().

double MotionRequestSymbols::getSpeedX | ( |  | ) |

| Function for symbol "executed-motion-request.special-action-type". Definition at line 57 of file MotionRequestSymbols.cpp. References MotionInfo::executedMotionRequest, Pose2D::translation, WalkRequest::walkParams, MotionRequest::walkRequest, and Vector2< double >::x. Referenced by registerSymbols().

double MotionRequestSymbols::getSpeedY | ( |  | ) |

| Function for symbol "executed-motion-request.special-action-type". Definition at line 61 of file MotionRequestSymbols.cpp. References MotionInfo::executedMotionRequest, Pose2D::translation, WalkRequest::walkParams, MotionRequest::walkRequest, and Vector2< double >::y. Referenced by registerSymbols().

The documentation for this class was generated from the following files:

- Modules/BehaviorControl/CommonXabsl2Symbols/MotionRequestSymbols.h
- Modules/BehaviorControl/CommonXabsl2Symbols/MotionRequestSymbols.cpp